com.sun.mirror.declaration

## Interface ParameterDeclaration

- All Superinterfaces:
    Declaration

  Deprecated.
  All components of this API have been superseded by the standardized annotation processing API. The replacement for the functionality of this interface is included in `VariableElement`.

      @Deprecated
      public interface ParameterDeclaration
      extends Declaration

  Represents a formal parameter of a method or constructor.
  Since:
    1.5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TypeMirror` | `getType()` Deprecated. Returns the type of this parameter.

    - ### Methods inherited from interface com.sun.mirror.declaration.Declaration

      `accept, equals, getAnnotation, getAnnotationMirrors, getDocComment, getModifiers, getPosition, getSimpleName`

- - ### Method Detail

    - #### getType

          TypeMirror getType()

      Deprecated.
      Returns the type of this parameter.
      Returns:
        the type of this parameter

Copyright © 2004, 2017, Oracle and/or its affiliates. All rights reserved.